# Class: SegmentInspector

## SegmentInspector

#### new SegmentInspector()

An object that inspects ts segment data to extract timing information for more precise calculations

Source:
  - segment-inspector.js, line 10

### Methods

#### adjustTimestamp_()

Adjusts the timestamp information for the segment to account for rollover and convert to seconds based on pes packet timescale (90khz clock)

Source:
  - segment-inspector.js, line 164

#### inspect()

Inspects the given segment byte array and returns an object with timing information for the first and last packet.

Source:
  - segment-inspector.js, line 29

#### parsePackets_()

Parse the given pes packets to gain information from the first and last complete packet

Source:
  - segment-inspector.js, line 56